Sign in Start for free

Performance

Request the current performance configuration

GET /api/performanceconfiguration

Response

200 — The current performance configuration

  • DefaultDashboardRenderMode enum
    Allowed values: VirtualizeColumns, VirtualizeRowsAndColumns.
  • Id string
    Gets or sets a unique identifier for this resource.
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.

Example Response

JSON
{
  "DefaultDashboardRenderMode": "VirtualizeColumns",
  "Id": "string",
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  }
}

Set the performance configuration

PUT /api/performanceconfiguration

Request Body

  • DefaultDashboardRenderMode enum (required)
    Allowed values: VirtualizeColumns, VirtualizeRowsAndColumns.

Response

200 — The updated performance configuration

  • DefaultDashboardRenderMode enum
    Allowed values: VirtualizeColumns, VirtualizeRowsAndColumns.
  • Id string
    Gets or sets a unique identifier for this resource.
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.

Example Request

JSON
{
  "DefaultDashboardRenderMode": "VirtualizeColumns"
}

Example Response

JSON
{
  "DefaultDashboardRenderMode": "VirtualizeColumns",
  "Id": "string",
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  }
}